<?php

//include('seguridad.php')
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";


require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';


function eliminarDir($carpeta) {
    foreach (glob($carpeta . "/*") as $archivos_carpeta) {

        if (is_dir($archivos_carpeta)) {
            eliminarDir($archivos_carpeta);
        } else {
            unlink($archivos_carpeta);
        }
    }

    rmdir($carpeta);
}

function comprimir($nombre_carpeta) {

    $zip = new ZipArchive();
    if ($zip->open($nombre_carpeta . ".zip", ZIPARCHIVE::CREATE) == TRUE) {
        //Si lo abre, es porque no existe ningun zip con ese nombre
        //Llam�mos a la funci�n para comprimir
        comprimirDirectorio($nombre_carpeta, $zip);
        //Cerramos el archivo
        $zip->close();
    }
}

//A la funci�n le pasamos como parametro el directorio y el archivo zip
function comprimirDirectorio($dir, $zip) {
    //Primero comprabamos que sea un directorio
    if (is_dir($dir)) {
        //Por cada elemento dentro del directorio
        foreach (scandir($dir) as $item) {
            //Evitamos la carpeta actual y la anterior
            if ($item == '.' || $item == '..')
                continue;
            //Si encuentra una que no sea las anteriores,
            //vuelve a llamar a la funci�n, con un nuevo directorio
            comprimirDirectorio($dir . "/" . $item, $zip);
        }
    }else {
        //En el caso de que sea un archivo, lo a�ade al zip
        $zip->addFile($dir);
    }
}

function truncateFloat($number, $digitos) {
    $raiz = 10;
    $multiplicador = pow($raiz, $digitos);
    $resultado = ((int) ($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);
}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

 //---------------------------------

 function ceros($nota){

     if (strlen($nota)==1)
        $nota="000".$nota;
     
     elseif (strlen($nota)==2)
         $nota="00".$nota;
     elseif (strlen($nota)==3)
         $nota="0".$nota;

    return $nota;

}


//---------------------------------

function leyenda($cod){

    $des=new database();
    $des->conectar(); $des->consulta("set names 'utf8'");

   

    $alum=$des->consulta("SELECT matriculas.codigo, CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ',alumnos.p_nombre,' ',alumnos.s_nombre) as nombres,
                          alumnos.tipodoc, alumnos.nodoc, alumnos.mcpioexped, alumnos.sexo,alumnos.dptoexped,matriculas.grado, matriculas.curso,matriculas.promovido
                          FROM alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo WHERE matriculas.codigo='".$cod."'");
    

    $row= $des->fetch_assoc($alum);



    $infogrado=$des->consulta("select * from grados where codigo='".$row['grado']."'");
    $grado = $des->fetch_assoc($infogrado);



    $infocur=$des->consulta("select * from cursos where grado='".$row['grado']."' and codigo='".$row['curso']."'");
    $curso = $des->fetch_assoc($infocur);


    $infotitular=$des->consulta("select profesores.nombres from cursos inner join (profesores inner join titulares on profesores.cedula = titulares.profesor) on (cursos.codigo = titulares.curso) and (cursos.grado = titulares.grado)
                                 where titulares.grado='".$row['grado']."' and titulares.curso='".$row['curso']."'");
    
    $titular = $des->fetch_assoc($infotitular);
        
                         
    $infjor=$des->consulta("select * from jornadas where codigo='".$curso['jornada']."'");
    $jornada = $des->fetch_assoc($infjor);
    
    $tipo="";
    
    if($row['tipodoc']=='1'){
        
        $tipo="C.C. No.";
        
    }else if($row['tipodoc']=='2'){
        
        $tipo="T.I. No.";
        
    }else if($row['tipodoc']=='3'){
        
        $tipo="C.E. No.";
            
    }else if($row['tipodoc']=='5'){
        
        $tipo="R.C. No.";
        
    }else if($row['tipodoc']=='6'){
        
        $tipo="NIP No.";

    }else if($row['tipodoc']=='7'){

        $tipo="NUIP No.";
    }
    
  
    $documento=$tipo." ".$row['nodoc']." de ".($row['mcpioexped'])." - ".($row['dptoexped']);
 
    $rs=$des->consulta("select * from parametros");
    $row1=$des->fetch_assoc($rs);

     
        $leyen="<table cellspacing='0' cellpadding='0' border='1' width='90%'  align='center'>";
        $leyen.="<tr>";
        $leyen.="<td width='70%' style='font-size:14px;height:27px;'>&nbsp;<b>ALUMNO (A) :</b>&nbsp;".($row['nombres'])."</td>";
        $leyen.="<td width='30%' style='font-size:14px'>&nbsp;<b>GRADO :</b>&nbsp;".($curso['descripcion'])."</td>";        
        $leyen.="</tr>";
        $leyen.="</table>";   

        $leyen.="<table cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >";
        $leyen.="<tr>";
        $leyen.="<td width='70%' style='font-size:14px;height:27px;'>&nbsp;<b>DOCUMENTO :</b>&nbsp;".($documento)."</td>";
        $leyen.="<td width='30%' style='font-size:14px'>&nbsp;<b>JORNADA :</b>&nbsp;".($jornada['descripcion'])."</td>";        
        $leyen.="</tr>";
        $leyen.="</table>";   

        $leyen.="<table cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >";
        $leyen.="<tr>";
        $leyen.="<td width='70%' style='font-size:14px;height:27px;'>&nbsp;<b>TITULAR :</b>&nbsp;".($titular['nombres'])."</td>";
        $leyen.="<td width='30%' style='font-size:14px'>&nbsp;<b>A&Ntilde;O LECTIVO :</b>&nbsp;".$row1['anolectivo']."</td>";        
        $leyen.="</tr>";
        $leyen.="</table><br>"; 


    return $leyen;

    $des->disconnect();

}

//---------------------------------

 function notas($grado,$curso,$codigo){

      $obj = new database();
      $obj->conectar(); $obj->consulta("set names 'utf8'");
      
      
      
      // -----------------------------------------------------

        $s="<table cellspacing='0' cellpadding='0' border='1' width='90%'  align='center'>";

        $s.="<tr>";
        $s.="<th width='55%' style='font-size:14px;height:30px;'>AREAS Y/O ASIGNATURAS</th>";
        $s.="<th width='5%' style='font-size:14px'>I_H</th>";
        
        $s.="<th width='5%' style='font-size:14px'>P1</th>";
        $s.="<th width='5%' style='font-size:14px'>P2</th>";
        $s.="<th width='5%' style='font-size:14px'>P3</th>";
        $s.="<th width='5%' style='font-size:14px'>P4</th>";

        $s.="<th width='5%' style='font-size:14px'>DEF.</th>";
        $s.="<th width='15%' style='font-size:14px'>DESEMPE&Ntilde;O</th>";

        $s.="</tr>";
        $s.="</table>";      
      

     $asig=$obj->consulta("select catalogo.codigo, catalogo.descripcion,curso_asignatura_profesor.intensidad from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura
                                where (((curso_asignatura_profesor.grado)='".$grado."') and ((curso_asignatura_profesor.curso)='".$curso."')) order by catalogo.orden");
     
      $n=$obj->numero_de_filas($asig);

        if ($n>0){
        
               while($row1 = $obj->fetch_assoc($asig)){ //---- ENCABEZADO DE ASIGNATURAS -------

                         $s.="<center><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";

                         $s.="<tr>";

                            $s.="<td width='55%' style='font-size:14px;height:20px;' >&nbsp;".($row1['descripcion'])."</td>";

                         /*---------------------------------------*/

                         $s.="<td width='5%' align='center' style='font-size: 14px' >".$row1['intensidad']."</td>";
                         

                             $p1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='1' and boletin.asignatura='".$row1['codigo']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p1 = $obj->fetch_assoc($p1);

                             if ($nota_p1['definitiva']==NULL)
                                 $notap1 =".";
                             else                               
                                $notap1 =decimales($nota_p1['definitiva']);

                             $s.="<td width='5%' align='center' style='font-size: 14px'>".$notap1."</td>";

                             /*---------------------*/

                             $p2=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='2' and boletin.asignatura='".$row1['codigo']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p2 = $obj->fetch_assoc($p2);

                             if ($nota_p2['definitiva']==NULL)
                                 $notap2 =".";
                             else 
                                 $notap2 =decimales($nota_p2['definitiva']);

                             $s.="<td width='5%' align='center' style='font-size:14px'>".$notap2."</td>";


                             /*---------------------*/

                             $p3=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='3' and boletin.asignatura='".$row1['codigo']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p3 = $obj->fetch_assoc($p3);

                             if ($nota_p3['definitiva']==NULL)
                                 $notap3 =".";
                             else 
                                $notap3 =decimales($nota_p3['definitiva']);

                             $s.="<td width='5%' align='center' style='font-size: 14px'>".$notap3."</td>";

                             /*---------------------*/

                             $p4=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin
                                                where boletin.periodo='4' and boletin.asignatura='".$row1['codigo']."' and boletin.grado='".$grado."' and boletin.curso='".$curso."' and detalleboletin.alumno='".$codigo."'");

                             $nota_p4 = $obj->fetch_assoc($p4);
                             
                             if ($nota_p4['definitiva']==NULL)
                                 $notap4 =".";
                             else 
                                 $notap4 =decimales($nota_p4['definitiva']);

                             $s.="<td width='5%' align='center' style='font-size: 14px'>".$notap4."</td>";

                             /*---------------------*/

                             $p5=$obj->consulta("SELECT * FROM notas_finales_asign
                                                where asignatura='".$row1['codigo']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

                             $nota_p5 = $obj->fetch_assoc($p5);
                             
                             if ($nota_p5['definitiva']==NULL){
                                 $notap5 =".";
                                  $nivel1='.';
                              }
                             else{                              
                                $notap5 =decimales($nota_p5['definitiva']);
                                $nivel1=($nota_p5['valor_asigna']);
                             }

                             $s.="<td width='5%' align='center' style='font-weight:bold;font-size: 16px;background:#D8D8D8'>".$notap5."</td>";
                             $s.="<td width='15%' align='center' style='font-size: 14px'>".$nivel1."</td>";

                             /*---------------------*/

                             $s.="</tr></table></center>";

                }

        }

      return $s;
      $obj->disconnect();
    }

//-----------------------------------------

function generar_pdf($carpeta, $html, $codigo) {

    $dompdf = new DOMPDF();
    $dompdf->load_html($html);
    $dompdf->set_paper('a4', 'portrait');
    $dompdf->render();
    $output = $dompdf->output();
    file_put_contents($carpeta . '/' . $codigo . '.pdf', $output);
}

function descript($tabla, $cod, $cod2) {
    $ob = new database();
    $ob->conectar(); $ob->consulta("set names 'utf8'");
    $rs = $ob->consulta("select * from " . $tabla . " where codigo='" . $cod . "' and grado='" . $cod2 . "';");
    $info = $ob->fetch_assoc($rs);
    return $info['descripcion'];
}

//***************************************************************************
//***************************************************************************
//***************************************************************************


$grado = $_REQUEST['grado'];
$curso = $_REQUEST['curso'];
$folio = $_REQUEST['folio'];

if (empty($_REQUEST['incr']))
    $e = 0;
else
    $e = $_REQUEST['incr'];


$obj1 = new database();
$obj1->conectar(); 
$obj1->consulta("set names 'utf8'");

//$nm = $obj1->consulta("SELECT matriculas.codigo, CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ', alumnos.p_nombre,' ',alumnos.s_nombre) as nombres
//                       FROM alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo WHERE matriculas.grado='" . $grado . "' and matriculas.curso='" . $curso . "' order by nombres");

$nm = $obj1->consulta("SELECT * FROM libro_final WHERE grado='" . $grado . "' and curso='" . $curso . "' order by numero");


$tot = $obj1->numero_de_filas($nm);

if (empty($_REQUEST['carp'])) {
    $nombre_carpeta = '';
} else {
    $nombre_carpeta = $_REQUEST['carp'];
}


if ($tot > 0) {
    
    //---- MUESTRA ALUMNOS ACTIVOS E INACTIVOS------
    
    //$resultadoe = $obj1->consulta("SELECT matriculas.codigo, CONCAT(alumnos.p_apellido,' ',alumnos.s_apellido,' ', alumnos.p_nombre,' ',alumnos.s_nombre) as nombres
    //                               FROM alumnos INNER JOIN matriculas ON alumnos.codigo = matriculas.codigo WHERE matriculas.grado='" . $grado . "' and matriculas.curso='" . $curso . "' order by nombres limit " . $e . ",10;");
    
    $resultadoe = $obj1->consulta("SELECT * FROM libro_final WHERE grado='" . $grado . "' and curso='" . $curso . "' order by numero limit " . $e . ",10;");

    while ($x = $obj1->fetch_assoc($resultadoe)) {

    
        $codigo = $x['codigo'];

        $ob = new database();
        $ob->conectar(); 
        $ob->consulta("set names 'utf8'");
       
        //---- Informacion Colegio
        $rs = $ob->consulta("select * from registrar");
        $info = $ob->fetch_assoc($rs);

        //--------------------------
        $rsinfoalumno = $ob->consulta("select * from matriculas where codigo='" . $codigo . "'");
        $infoalumno = $ob->fetch_assoc($rsinfoalumno);

        //-------------------------- Informacion Personal Alumno
        $rsinfoalumno_per = $ob->consulta("select * from alumnos where codigo='" . $infoalumno['codigo'] . "'");
        $infoalumno_per = $ob->fetch_assoc($rsinfoalumno_per);


        //--------------------------- Informacion Curso
        $rscur = $ob->consulta("select * from cursos where codigo='" . $infoalumno['curso'] . "' and grado='" . $infoalumno['grado'] . "';");
        $infocur = $ob->fetch_assoc($rscur);

        //--------------------------- Informacion Jornada
        $rsjor = $ob->consulta("select * from jornadas where codigo='" . $infocur['jornada'] . "';");
        $info_jor = $ob->fetch_assoc($rsjor);

        //--------------------------- Informacion Sede
        
        $rssed=$ob->consulta("select * from sedes where codigo='".$infocur['sede']."';");
        $info_sede=$ob->fetch_assoc($rssed);

                
        if(($info_jor['descripcion'])==='MA?ANA')
         {
            $jornada= ($info_jor['descripcion']);          
         }else{
             $jornada= $info_jor['descripcion']; 
         }
  
  
         //-------- Informacion Colegio --------

            $rs=$ob->consulta("select * from parametros");
            $row=$ob->fetch_assoc($rs);
       
  
$html="
<html>
<head><meta https-equiv='expires' content='0'><meta https-equiv='Cache-Control' content='no-cache'><meta https-equiv='Pragma' CONTENT='no-cache'>
<title>LIBRO FINAL</title>
  <style>
    
    #footer { position: fixed; left: 0px; bottom: -10px; right: 0px; height:180px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
  
  </style>
</head>

<body><center><img height='130' width='85%' src='../../../../imagenes/encabezado_certificado.jpg'/><br>

<FONT size='3'><b>INFORME FINAL &nbsp;".$row['anolectivo']."<b></FONT>  </CENTER>

<table id='font'  width='90%'  align='center'>
<tr> 
<td align='right'><b>FOLIO No.  ".ceros($x['numero'])." - ".$row['anolectivo']."</b></td>
<tr>
</table>
 <br> ".leyenda($codigo);

$folio=$folio+1;

$matri=$ob->consulta("select * from matriculas where codigo='".$codigo."'");
$row1=$ob->fetch_assoc($matri);



$html.=notas($grado,$curso,$codigo);


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

  //-----------------------------
  //---Escala de Valoracion -----
  //-----------------------------
  
  $ran=$ob->consulta("select * from rangos order by orden");

  $html.="<br><table align='center' cellspacing='0' cellpadding='0' width='90%' border='1' style='font-size: 11px; text-align:center;'>";
  $html.="<tr>";
  $html.="<td>ESCALA DE VALORACI&Oacute;N</td>";

  
  while($row_r=$ob->fetch_assoc($ran)){
       
      if ($row_r['inferior']==">=")
          $r1=$row_r['v1'];
      else 
          $r1=$row_r['v1']+0.1;
          
      //-----------------------------
      
      if ($row_r['superior']=="<=")
          $r2=$row_r['v2'];
      else 
          $r2=$row_r['v2']-0.1;
      
        
      $html.="<td>".($row_r['descripcion'])." (".decimales($r1)." - ".decimales($r2).")</td>";

  }

  $html.="</tr>"; 
  $html.="</table>";

   //-----------------------------
   //-----------------------------


$prom=$ob->consulta("select * from rendimiento_general where periodo='5' and alumno='".$codigo."'");               
$np=$ob->numero_de_filas($prom);

$nota_prom = $ob->fetch_assoc($prom);

/*------Tatal de alumnos del curso -------------*/

$total_al=$ob->consulta("select count(*) as total from rendimiento_general where grado='".$row1['grado']."' and curso='".$row1['curso']."' and periodo='5'");
$row_total = $ob->fetch_assoc($total_al);

if ($nota_prom['promedio']==NULL)
    $nota_promedio=".";
else
    $nota_promedio=substr($nota_prom['promedio'], 0, 3);

$html.="<table align='center' width='90%' border='1' cellspacing='0' cellpadding='0' style='font-size: 11px; text-align:center;'>";

$html.="<tr><td>PROMEDIO GENERAL : ".$nota_promedio."</td>";
$html.="<td colspan=2>NIVEL DE DESEMPE&Ntilde;O GENERAL : ".($nota_prom['nivel_desempeno'])."</td>";

if ($np==1){
    $html.="<td align='center'>PUESTO ACAD&Eacute;MICO : ".$nota_prom['puesto']." de ".$row_total['total']."</td>";
}else{
     $html.="<td align='center'>PUESTO ACAD&Eacute;MICO:.</td>";
}

$html.="</tr></table></center>";

 
//------------------ Muestra las Superaciones ----------------------------

      $habil=$ob->consulta("SELECT catalogo.descripcion, notas_finales_asign.habilitacion, notas_finales_asign.valor_habilitacion, notas_finales_asign.codigo
                            FROM catalogo INNER JOIN notas_finales_asign ON catalogo.codigo = notas_finales_asign.asignatura
                            WHERE notas_finales_asign.codigo='".$codigo."' and notas_finales_asign.habilitacion!='NULL'");
      
      $n_habil=$ob->numero_de_filas($habil);
      
   
      if ($n_habil>0){
           
         $cadena_habil="";
            
         while($row_habil=$ob->fetch_assoc($habil)){
               $cadena_habil.="(".$row_habil['descripcion']." : ".decimales($row_habil['habilitacion'])." - ".$row_habil['valor_habilitacion'].")";
      
         }
         
         $html.="<br><table  width='90%'  border='1' id='font' align='center' cellspacing='0' cellpadding='0' >
                 <tr>
                 <td style='font-size: 12px'>&nbsp;
                 SUPERACIONES : ".($cadena_habil)." "."
                 </td>
                 </tr>
                 </table>";
                 
                 
      }

      
//------------------ Observaciones de la estudiante ----------------------------

      $observ=$ob->consulta("select * from matriculas where codigo='".$codigo."'");
      $row11=$ob->fetch_assoc($observ);

      if ($row11['observacion']!=null && $row11['observacion']!=''){

        $html.="<table  width='90%'  border='1' id='font' align='center' cellspacing='0' cellpadding='0' >
        <tr>
           <td style='font-size: 12px'>&nbsp;
             OBSERVACI&Oacute;N :".($row11['observacion'])."
           </td>
        </tr>

        </table><br>";
     
     }else
         $html.="<br>";
//------------------------------------------------------------------------------

if ($row11['promovido']=='SI'){

    if ($row11['areas_perdidas']>0){
                            
        $habil=$ob->consulta("SELECT count(*) as cantidad FROM notas_finales_asign where codigo='".$codigo."' and habilitacion>=3");
        $row_habil = $ob->fetch_assoc($habil);
        
        if ($row11['grado']!='11'){
        
             if (($row11['areas_perdidas'])==($row_habil['cantidad']))
                  $estado_final=" PROMOVIDO CON &eacute;XITO AL GRADO SIGUIENTE";
             else     
                  $estado_final=" PROMOVIDO AL GRADO SIGUIENTE CON LOGROS PENDIENTES";
        
        }
        else{
        
             if (($row11['areas_perdidas'])==($row_habil['cantidad']))
                  $estado_final=" APROBADO";
             else     
                  $estado_final=" TIENE LOGROS PENDIENTES POR RECUPERAR";        
               
        }
        
        
    }    
    else
        if ($row11['grado']!='11')
            $estado_final=" PROMOVIDO CON &eacute;XITO AL GRADO SIGUIENTE";
        else
            $estado_final=" APROBADO";
 
  
}
else if ($row11['promovido']=='NO')
         $estado_final=" NO APROBADO ";

else if ($row11['estado']=='I')
         $estado_final=" ALUMNO RETIRADO ";


$html.="<table  width='90%'  border='0' id='font' align='center' cellspacing='0' cellpadding='0' >";
$html.="<tr><td style='font-size: 14px'>&nbsp;ESTADO FINAL  :".($estado_final);
$html.="</td></table>";

//------------------------------------------------------------------------------

$html.="<div id='footer'>
<table width='85%' border='0' align='center'>
<tr>
<td style='text-align:center;font-weight:bold;font-size: 14px;font-family: verdana,arial,sans-serif;'>
<img height='60' width='180' src='../../../../imagenes/firma_rector.png'/>
</td>    
                    
<td style='text-align:center;font-weight:bold;font-size: 14px;font-family: verdana,arial,sans-serif;'>
<img height='60' width='180' src='../../../../imagenes/firma2.jpg'/>
</td>
</tr>

<tr>
<td style='font-size: 12px; text-align:center;'><b>AYMER VALLEJO SOTO</b></td>     
<td style='font-size: 12px; text-align:center;'><b>".($row['secretario'])."</b>
</td>
</tr>

<tr>
<td style='font-size: 12px; text-align:center;'>C.C. 17.673.719 San Vicente del Cagu&aacute;n - Caquet&aacute;</td>     
<td style='font-size: 12px; text-align:center;'>".$row['cedula_secretario']."</td>
</tr>

<tr>
<td style='font-size: 11px; text-align:center;'>RECTOR</td>     
<td style='font-size: 11px; text-align:center;'>AUX. ADMINISTRATIVA</td>
</tr>

</table>  

</div>
</body>
</html>";
        
       $folio=$folio+1;        
         
        $nombre_carpeta = $infocur['descripcion'];

        if (!is_dir($nombre_carpeta)) {
            @mkdir($nombre_carpeta . '/', 0700);
        }

        generar_pdf($infocur['descripcion'], ($html), $codigo);
        
    }


    $e = $e + 10;

    if ($e > $tot) {

        
            //Creamos el archivo
            $zip = new ZipArchive();
            if ($zip->open($nombre_carpeta.".zip", ZIPARCHIVE::CREATE)==TRUE) {
               //Si lo abre, es porque no existe ningun zip con ese nombre
               //Llam�mos a la funci�n para comprimir
               comprimirDirectorio($nombre_carpeta, $zip);
               //Cerramos el archivo
               $zip -> close();
            }
            while($codigo=$obj1->fetch_assoc($nm)){
                $archivos[]=$codigo['codigo'];
              }


            for ($index = 0; $index < count($archivos); $index++) {
                
                unlink($nombre_carpeta.'/'.$archivos[$index].'.pdf');
            }
            
            rmdir($nombre_carpeta); 
            
            $file = $nombre_carpeta.".zip"; 
            header("Content-Transfer-Encoding: binary"); 
            header("Content-type: application/octet-stream"); 
            header("Content-Disposition: attachment; filename=".basename($file)); 
            header("Content-Length: ".filesize($file)); 
            readfile($file); 
            
            unlink($file);

    } else {

//        echo "<a href='boletin_academico_curso.php?carp=" . $nombre_carpeta . "&per=" . $periodo . "&grado=" . $grado . "&curso=" . $curso . "&incr=" . $e . "'>sgt</a>";

        header('Location: boletin_academico_curso.php?carp='.$nombre_carpeta.'&grado='.$grado.'&curso='.$curso.'&incr='.$e.'&folio='.$folio);
    }
    
    $obj1->disconnect();    
    $ob->disconnect();    
}
?>
